<div>
    <h2 id="page-heading">
        <span>Shops</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-shop" [routerLink]="['/shop/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Shop
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="shops?.length === 0">
        <span>No shops found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="shops && shops.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Vendor Id</span></th>
                    <th scope="col" ><span>Email</span></th>
                    <th scope="col" ><span>Open Time</span></th>
                    <th scope="col" ><span>Close Time</span></th>
                    <th scope="col" ><span>Mobile</span></th>
                    <th scope="col" ><span>Address</span></th>
                    <th scope="col" ><span>Sub District</span></th>
                    <th scope="col" ><span>District</span></th>
                    <th scope="col" ><span>Province</span></th>
                    <th scope="col" ><span>Country</span></th>
                    <th scope="col" ><span>Post Code</span></th>
                    <th scope="col" ><span>Latitude</span></th>
                    <th scope="col" ><span>Longitude</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col" ><span>Bill Info</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let shop of shops ;trackBy: trackId">
                    <td><a [routerLink]="['/shop', shop.id, 'view']">{{ shop.id }}</a></td>
                    <td>{{ shop.name }}</td>
                    <td>{{ shop.vendorId }}</td>
                    <td>{{ shop.email }}</td>
                    <td>{{ shop.openTime | date:'mediumDate' }}</td>
                    <td>{{ shop.closeTime | date:'mediumDate' }}</td>
                    <td>{{ shop.mobile }}</td>
                    <td>{{ shop.address }}</td>
                    <td>{{ shop.subDistrict }}</td>
                    <td>{{ shop.district }}</td>
                    <td>{{ shop.province }}</td>
                    <td>{{ shop.country }}</td>
                    <td>{{ shop.postCode }}</td>
                    <td>{{ shop.latitude }}</td>
                    <td>{{ shop.longitude }}</td>
                    <td>{{ shop.active }}</td>
                    <td>
                        <div *ngIf="shop.billInfo">
                            <a [routerLink]="['/shop-bill-info', shop.billInfo?.id, 'view']" >{{ shop.billInfo?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/shop', shop.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/shop', shop.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(shop)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
